/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef DOC_RPC_PORT_DOC_H_
#define DOC_RPC_PORT_DOC_H_


/**
 * @ingroup CAPI_APPLICATION_FRAMEWORK
 * @defgroup CAPI_RPC_PORT_MODULE RPC Port
 * @brief The @ref CAPI_RPC_PORT_MODULE API provides functions to send and receive messages between applications.
 * @section CAPI_RPC_PORT_MODULE_HEADER Required Header
 * \#include <rpc-port.h>
 *
 * @section CAPI_RPC_PORT_MODULE_OVERVIEW Overview
 * The @ref CAPI_RPC_PORT_MODULE API provides functions for passing messages between applications.
 * Applications can read and write data by using rpc-port.
*/

/**
 * @ingroup CAPI_RPC_PORT_MODULE
 * @defgroup CAPI_RPC_PORT_PARCEL_MODULE RPC Port Parcel
 * @brief The @ref CAPI_RPC_PORT_PARCEL_MODULE API provides functions to make parcel data
 * @section CAPI_PACKAGE_INFO_MODULE_HEADER Required Header
 * \#include <rpc-port-parcel.h>
 *
 * @section CAPI_RPC_PORT_PARCEL_MODULE_OVERVIEW Overview
 * It is container for a data that can be sent via RPCPort.
*/


#endif  // DOC_RPC_PORT_DOC_H_
