Name:       rpc-port
Summary:    RPC Port library
Version: 	1.3.12
Release:    0
Group:		Application Framework/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:	%{name}.manifest
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(pkgmgr)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(cynara-client)
BuildRequires:  pkgconfig(cynara-creds-gdbus)
BuildRequires:  pkgconfig(uuid)

Requires(post): /sbin/ldconfig
Requires(post): coreutils
Requires(postun): /sbin/ldconfig

Requires: amd-mod-rpc-port

%description
RPC Port library package.

%package devel
Summary:  RPC Port library (Development)
Group:    Application Framework/Development
Requires: %{name} = %{version}-%{release}

%description devel
RPC Port library (Development) package.

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
# Call make instruction with smp support
%__make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}

%make_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%attr(0644,root,root) %{_libdir}/lib%{name}.so.*
%license LICENSE.APLv2

%files devel
%{_includedir}/rpc-port/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}.so

#################################################
# gtest-rpc-port
#################################################
%package -n gtest-rpc-port
Summary:    GTest for rpc-port
Group:      Development/Libraries
Requires:   %{name}

%description -n gtest-rpc-port
GTest for rpc-port

%files -n gtest-rpc-port
%{_bindir}/gtest-rpc-port
